'use strict';

const tableConfig = require('./table-config-b20b4da1.js');
const viewConfig = require('./view-config-f8b4b929.js');

class DetailViewConfig extends viewConfig.DvnAppViewConfig {
  static decode(json) {
    const model = Object.assign(Object.create(DetailViewConfig.prototype), json);
    model.table = tableConfig.TableConfig.decode(model.table);
    return model;
  }
}

exports.DetailViewConfig = DetailViewConfig;
